## xine-lib-1.2 1.2.6

=== debian/changelog ===
xine-lib-1.2 (1.2.6-1build5) xenial; urgency=medium

  * Rebuild against libvpx3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 01:11:30 +0000

xine-lib-1.2 (1.2.6-1build4) xenial; urgency=medium

  * No-change rebuild against libgraphicsmagick-q16-3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2015 04:51:31 +0000

xine-lib-1.2 (1.2.6-1build3) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:15:11 +0000

xine-lib-1.2 (1.2.6-1build2) wily; urgency=medium

  * No-change rebuild against new libvpx

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 24 Jul 2015 17:59:08 +0100

xine-lib-1.2 (1.2.6-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 12:06:05 +0100

xine-lib-1.2 (1.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with libcaca 0.99 beta 19. (Closes: #749741)
  * Don't depend on libva-dev on hurd-i386. (Closes: #748379)
  * Simplify build dependency logic (convert to linux-any). (Ref. #748379)
  * Tighten dependencies on libxine2-bin. (Closes: #743961, #743964)
  * Policy compliance:
    - bump standards version to 3.9.5
    - remove DM-Upload-Allowed
    - override lintian embedded library error (libmms): needs upstream work
    - update symbols files; remove Debian revisions where appropriate

 -- Darren Salt <devspam@moreofthesa.me.uk>  Sun, 06 Jul 2014 17:16:49 +0100

xine-lib-1.2 (1.2.5-1) unstable; urgency=medium

  * New upstream release.
    - Works with libav10. (Closes: #739458)
    - Dropped patches since all are present upstream.
    - libvpx plugin is added to libxine2-misc-plugins.
  * Pulled in autoreconf changes fron Ubuntu.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 08 Apr 2014 16:54:59 +0100
