## xine-lib-1.2 1.2.8

=== debian/changelog ===
xine-lib-1.2 (1.2.8-2build2) bionic; urgency=medium

  * No-change rebuild against latest libvpx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Feb 2018 08:51:37 -0500

xine-lib-1.2 (1.2.8-2build1) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:54:39 +0000

xine-lib-1.2 (1.2.8-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Update the libxine2-bin lintian override to match the last changes.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 28 Nov 2017 11:32:02 +0100

xine-lib-1.2 (1.2.8-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 1.2.8.
  * debian/copyright: rewrite using copyright-format 1.0 and greatly enlarge
    with many missing attributions.  Closes: #532463
  * Remove all patches, all applied upstream.
  * Update symbols fom libxine2 1.2.8.
  * debian/*.install:
    + Update for the new release.
    + Stop installing the obsoleted xine-config script.
  * debian/control:
    + Add new build-dependency on libdvdnav-dev.
    + Make the description of libxine2-bin longer.
    + Remove relentionship with very old package versions, now unneeded.
    + Add a bunch of Multi-Arch:same markers.
  * debian/rules:
    + Force use of external libdvdnav.
    + Bump shlibs version.
  * Add lintian override for non-fixable manapge-has-errors-from-man.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 22 Nov 2017 20:50:49 +0100

xine-lib-1.2 (1.2.6-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/control:
    + Mark libxine2-doc as Multi-Arch:foreign.
    + Mark libxine2 as Multi-Arch:same.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 13 Nov 2017 18:44:41 +0100

xine-lib-1.2 (1.2.6-3) experimental; urgency=medium

  * QA upload.
  * Further restrict the installation of some plugins not available on
    !linux-any.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 23:44:53 +0100

xine-lib-1.2 (1.2.6-2) experimental; urgency=medium

  * QA upload.
  * debian/control:
    + Orphan the package, see #881514.
    + Set Vcs fields to a git repository in collab-maint.
    + wrap-and-sort -ast.
    + Change priority from extra (deprecated in policy 4.0.1) to optional.
    + Appease lintian: s/meta-package/metapackage/.
    + Bump Standards-Version to 4.1.1.
    + Declare that xine-lib-1.2 doesn't need root to build: R³:no.
  * debian/watch: fix the matching pattern.
  * debian/rules:
    + Use dh_lintian to install the lintian overrides.
    + Convert the file to use the dh sequencer.
    + Run dh_missing --fail-missing and add a debian/not-installed file.
    + Enable hardening
    + Drop special cases for MIPS and SPARC, to check if they are still needed.
  * Add DEP-3 header to munmap.patch.
  * Also install the inp_pvr plugin that is being built.
  * Bump debhelper compat level to 10:
    + Drop --with autoreconf, now default.
    + Drop --parallel, now default.
  * Use dh-exec to install some i386-specific plugins.
  * Enable multiarch installation of the libraries.  Closes: #876026
  * Disable the ESD and GnomeVFS plugins, as the related libraries are
    deprecated.  Closes: #856093, #868407

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 20:28:52 +0100

xine-lib-1.2 (1.2.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * xcb.patch: New, from upstream, fix linking with new xcb versions.
    (Closes: #839371)
  * munmap.patch: New, correctly call munmap() on a previously mmap()ed
    location.  (Closes: #773966)
  * Drop -dbg package in favor of autogenerated -dbgsym packages.
  * Use dpkg default compression.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Jan 2017 18:43:36 +0100

xine-lib-1.2 (1.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Santiago Vila ]
  * Add build-arch and build-indep targets. (Closes: #822038)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Sep 2016 11:49:58 +0200

xine-lib-1.2 (1.2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without samba support on hurd-i386.  (Closes: #815354)
  * Add support for FFmpeg 2.9, thanks to Andreas Cadhalpun.  (Closes: #803873)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Mar 2016 14:43:17 +0100
