=== debian/watch ===
version=4
http://sf.net/xine/xine-lib-@ANY_VERSION@@ARCHIVE_EXT@
