## xine-lib-1.2 1.2.9

=== debian/changelog ===
xine-lib-1.2 (1.2.9-1build5) focal; urgency=medium

  * Rebuild with the new libdvdread soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Nov 2019 16:40:07 +0100

xine-lib-1.2 (1.2.9-1build4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:16:57 +0000

xine-lib-1.2 (1.2.9-1build3) eoan; urgency=medium

  * No-change rebuild against libvpx6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Aug 2019 15:36:18 +0000

xine-lib-1.2 (1.2.9-1build2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:49:24 +0000

xine-lib-1.2 (1.2.9-1build1) cosmic; urgency=medium

  * No-change rebuild for libcdio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 00:35:32 +0000

xine-lib-1.2 (1.2.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
    - Fixes FTBFS with FFmpeg 4.0. (Closes: #888327)
    - Fixes FTBFS on x32. (Closes: #883298)

  * debian/copyright:
    - Update for 1.2.9.
  * debian/control:
    - Migrate Vcs to salsa.debian.org.
    - Remove unused shlibs:{Recommends,Suggests} from libxine2-bin.
    - Add missing perl:Depends to libxine2-dev.
    - Bump standards version to 4.1.3.
  * debian/libxine2-bin.symbols:
    - Add new symbols for 1.2.9.
  * debian/libxine2-misc-plugins.install:
    - Merge network plugins into a single file.
  * debian/not-installed:
    - Update path to mime.types.

 -- James Cowgill <jcowgill@debian.org>  Tue, 27 Mar 2018 00:48:56 +0100
