=== debian/control ===
--- 
+++ 
@@ -54,10 +54,10 @@
  w3m,
  xmlto,
  zlib1g-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Rules-Requires-Root: no
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xine-lib-1.2.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xine-lib-1.2.git
+Vcs-Git: https://salsa.debian.org/debian/xine-lib-1.2.git
+Vcs-Browser: https://salsa.debian.org/debian/xine-lib-1.2
 Homepage: http://xine-project.org/
 
 Package: libxine2-doc
@@ -109,10 +109,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- ${shlibs:Recommends},
-Suggests:
- ${shlibs:Suggests},
 Description: xine video/media player library – binary files
  This package contains the core library of the xine video/media player
  engine.
@@ -131,6 +127,7 @@
  libxine2-bin (= ${binary:Version}),
  pkg-config,
  ${misc:Depends},
+ ${perl:Depends},
 Description: xine video player library – development packages
  This contains development files (headers, documentation and the like)
  and additional documentation for developers for the xine library
