## xine-lib-1.2 1.2.10

=== debian/changelog ===
xine-lib-1.2 (1.2.10-3) unstable; urgency=medium

  * QA upload.
  * Add Breaks and Replaces closes: #961509
  * Exclude more files from hurd-i386

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 03 Jun 2020 11:47:36 +0200

xine-lib-1.2 (1.2.10-2) unstable; urgency=medium

  * QA upload.
  * Update year in d/copyright
  * Bump debhelper to 13
    - Remove override_dh_missing
  * Remove xineplug_decode_qt.so from d/libxine2-misc-plugins.install
  * Add 0003-fix-non-Linux-build.patch

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 23 May 2020 22:04:51 +0200

xine-lib-1.2 (1.2.10-1) unstable; urgency=medium

  * QA upload.
  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Håvard Flaget Aasen ]
  * New upstream version
  * Add 0001-Fix-ftbfs-with-gcc-10.patch closes: #957982
  * Add 0002-Fix-spelling-error.patch
  * Update Standards-Version to 4.5.0
  * Change to debhelper-compat
  * Remove override_dh_installchangelogs
  * Update path to mime.types in d/not-installed
  * debian/libxine2-bin.symbols:
    - Add Build-Depends-Field
    - Add new symbols for 1.2.10
  * debian/control
    - Bump debhelper to 12
    - Use secure URI on homepage
    - Remove obsolete *.doc package under Recommends
    - Remove package from Suggested field, no longer in Debian
    - Move libxine2-doc from Recommends to Suggests in d/control
  * debian/*.install
    - Update after joining 3 video plugins
    - Add libpng decoder
    - Add OpenGL, EGL and Wayland support
  * Remove folder from d/libxine2-doc.docs
  * Mark *-doc package as main-doc-package in d/rules
  * Move xine.5 man-page to libxine2-bin

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 26 Apr 2020 17:28:13 +0200
