=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xine-lib-1.2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  binutils (>= 2.12.90.0.9),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-exec,
  graphicsmagick-libmagick-dev-compat,
  libaa1-dev,
@@ -54,11 +53,11 @@
  w3m,
  xmlto,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/xine-lib-1.2.git
 Vcs-Browser: https://salsa.debian.org/debian/xine-lib-1.2
-Homepage: http://xine-project.org/
+Homepage: https://xine-project.org/
 
 Package: libxine2-doc
 Architecture: all
@@ -68,7 +67,7 @@
  ${misc:Depends},
 Description: xine video player library – documentation files
  This contains documentation for the xine library (libxine). It consists
- of various textfiles and the xine(5) manpage.
+ of various textfiles.
  .
  Libxine provides the complete infrastructure for a video/media player. It
  supports MPEG 1/2 and some AVI and Quicktime videos out of the box, so you
@@ -85,10 +84,9 @@
  libxine2-plugins (= ${source:Version}) | libxine2-misc-plugins (= ${binary:Version}),
  ${misc:Depends},
 Recommends:
- libxine2-doc | libxine-doc,
  libxine2-ffmpeg,
 Suggests:
- gxine,
+ libxine2-doc,
  xine-ui,
 Description: xine media player library – metapackage
  This is the xine media player library (libxine).
@@ -101,14 +99,16 @@
  input media, demuxers (stream types), audio/video and subtitle codecs.
  .
  While this package does not provide a GUI, building a user-interface
- frontend around this should be quite easy. The xine-ui and gxine
- packages each provide one for your convenience.
+ frontend around this should be quite easy. The xine-ui package provide
+ one for your convenience.
 
 Package: libxine2-bin
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks: libxine2-doc (<< 1.2.10)
+Replaces: libxine2-doc (<< 1.2.10)
 Description: xine video/media player library – binary files
  This package contains the core library of the xine video/media player
  engine.
