=== debian/rules ===
--- 
+++ 
@@ -47,15 +47,10 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libxine2 (>= 1.2.8)'
 
-override_dh_installchangelogs:
-	dh_installchangelogs -k ChangeLog
-
 override_dh_installdocs:
 	dh_installdocs -plibxine2 -plibxine2-console -plibxine2-dev \
 		-plibxine2-ffmpeg -plibxine2-gnome -plibxine2-misc-plugins \
 		-plibxine2-vdr -plibxine2-x \
 		--link-doc=libxine2-bin
+	dh_installdocs -plibxine2-doc --doc-main-package libxine2-doc
 	dh_installdocs --remaining-packages
-
-override_dh_missing:
-	dh_missing --fail-missing
