## xine-lib-1.2 1.2.11

=== debian/changelog ===
xine-lib-1.2 (1.2.11-2) unstable; urgency=high

  * QA upload.
  * debian/libxine2-misc-plugins.install: Also install plugins:
    + xineplug_decode_dav1d.so
    + xineplug_decode_libaom.so
    (Closes: #1006073)

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Feb 2022 21:38:50 -0500

xine-lib-1.2 (1.2.11-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 1.2.11.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches: Refresh patches.
  * debian/patches/0001-Fix-ftbfs-with-gcc-10.patch,
    debian/patches/0003-fix-non-Linux-build.patch: Dropped, merged upstream.
  * debian/libxine2-misc-plugins.install.install:
    Also install the newly-split xineplug_decode_to_spdif.so plugin.
  * debian/libxine2-bin.lintian-overrides: Refresh lintian warning
    override for "groff-message usr/share/man/man5/xine.5.gz" and
    "symbols-declares-dependency-on-other-package libxine2".
  * debian/changelog: Use correct email address for 1.0.1-1 changelog
    entry (lintian error).
  * debian/libxine2-bin.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 07:53:33 -0400

xine-lib-1.2 (1.2.10-4) unstable; urgency=medium

  * QA upload.
  * Do install the xineplug_vo_gl_egl_x11 plugin on non-linux, and exclude
    xineplug_vo_gl_egl_wl on all non-linux, not just hurd-i386.
  * Drop dh_makeshlibs override, relying on the dh compat 12 default to keep
    the -V option.
  * Mark libxine2-dev as Multi-Arch:same.
  * Remove now unused lintian override.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 08 Jun 2020 19:32:30 +0200
