=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- binutils (>= 2.12.90.0.9),
+ binutils,
  debhelper-compat (= 13),
  dh-exec,
  graphicsmagick-libmagick-dev-compat,
@@ -53,7 +53,7 @@
  w3m,
  xmlto,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/xine-lib-1.2.git
 Vcs-Browser: https://salsa.debian.org/debian/xine-lib-1.2
@@ -122,6 +122,7 @@
 
 Package: libxine2-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libxine2-bin (= ${binary:Version}),
