=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V 'libxine2 (>= 1.2.8)'
-
 override_dh_installdocs:
 	dh_installdocs -plibxine2 -plibxine2-console -plibxine2-dev \
 		-plibxine2-ffmpeg -plibxine2-gnome -plibxine2-misc-plugins \
